# Uses of Class
java.time.format.DecimalStyle

Packages that use DecimalStyle
Package
Description
java.time.format
Provides classes to print and parse dates and times.

## Uses of DecimalStyle in java.time.format

Fields in java.time.format declared as DecimalStyle
Modifier and Type
Field
Description
`static DecimalStyle`
DecimalStyle.`STANDARD`
The standard set of non-localized decimal style symbols.
Methods in java.time.format that return DecimalStyle
Modifier and Type
Method
Description
`DecimalStyle`
DateTimeFormatter.`getDecimalStyle()`
Gets the DecimalStyle to be used during formatting.
`static DecimalStyle`
DecimalStyle.`of​(Locale locale)`
Obtains the DecimalStyle for the specified locale.
`static DecimalStyle`
DecimalStyle.`ofDefaultLocale()`
Obtains the DecimalStyle for the default `FORMAT` locale.
`DecimalStyle`
DecimalStyle.`withDecimalSeparator​(char decimalSeparator)`
Returns a copy of the info with a new character that represents the decimal point.
`DecimalStyle`
DecimalStyle.`withNegativeSign​(char negativeSign)`
Returns a copy of the info with a new character that represents the negative sign.
`DecimalStyle`
DecimalStyle.`withPositiveSign​(char positiveSign)`
Returns a copy of the info with a new character that represents the positive sign.
`DecimalStyle`
DecimalStyle.`withZeroDigit​(char zeroDigit)`
Returns a copy of the info with a new character that represents zero.
Methods in java.time.format with parameters of type DecimalStyle
Modifier and Type
Method
Description
`DateTimeFormatter`
DateTimeFormatter.`withDecimalStyle​(DecimalStyle decimalStyle)`
Returns a copy of this formatter with a new DecimalStyle.